DWE.getMousePosition = function (e, canvas) {
  let x
  let y

  if (e.changedTouches) {
    let touch = e.changedTouches[0]
    if (touch) {
      e.pageX = touch.pageX
      e.pageY = touch.pageY
    }
  }

  if (e.pageX || e.pageY) { 
    x = e.pageX
    y = e.pageY
  } else {
    x = e.clientX + document.body.scrollLeft + document.documentElement.scrollLeft
    y = e.clientY + document.body.scrollTop + document.documentElement.scrollTop
  }

  x -= canvas.offsetLeft
  y -= canvas.offsetTop

  return new DWE.Math.Vector2(x, y)
}
